Description

Please add some comments for translators where particular string will be used. For some strings it is not possible to distinguish tool

names (menu entires) from window titles, tooltips and other help related content.

I.e. "Add a Vector Layer" - it can be an action (menu item), tool tip or window title. In other languages it may be required to translate it

differently depending on context. Currently only way to find phrase context is to write in garbage and then run app and look for garbage.

History

#1 - 2011-03-03 03:30 PM - Volker Fröhlich

I think you discussed this issue in Poland. Is it still something you're looking forward to have?

#2 - 2011-03-08 03:32 AM - Werner Macho

As long as you use linguist for translation you can see where the string comes from (except plugins so far).

I'm not sure how this could be implemented in another way ..

#3 - 2011-03-08 07:51 AM - marisn -

Replying to [comment:3 macho]:

As long as you use linguist for translation you can see where the string comes from (except plugins so far).

I'm not sure how this could be implemented in another way ..

I'm not shure what do You mean by "you can see where the string comes from". "Dialog" with 242 strings isn't much helpfull to understand meaning of string

as it's not as important where it comes from as "what do You mean by XXX?".

Some links for ideas: 

http://techbase.kde.org/Development/Tutorials#Localization

http://techbase.kde.org/Development/Tutorials/Localization/i18n

#4 - 2011-03-08 08:09 AM - Borys Jurgiel

If you have the source code installed and your .ts file contains <location> tags , linguist shows you precise location of the string: a dialog preview for strings

coming from .ui files and suitable fragment of the code for strings coming from cpp files.

Another problem is the "Dialog" you mentioned. String context is a class name. While all core qgis classes have reasonable names, many classes in
http://techbase.kde.org/Development/Tutorials#Localization
http://techbase.kde.org/Development/Tutorials/Localization/i18n


plugins have default name "Dialog" or similar. Plugin authors are usually not translators so they aren't aware the problem. I'm trying to ask them for

renaming, but it's a big effort to change names in a big plugin, so my bothering seems to be too weak ;-) Please address this request for particular authors,

e.g. by creating a tickets for all affected core plugins.

#5 - 2011-12-16 01:59 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#6 - 2012-04-15 10:13 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#7 - 2012-10-06 02:28 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#8 - 2017-05-01 12:42 AM - Giovanni Manghi

- Easy fix? set to No

- Pull Request or Patch supplied set to No
